/*
 * Copyright (c) 2017. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.api;

/**
 * API Exception for information about different types of errors.
 *
 * @author Dmitry Samoshin aka gotty
 */
public class APIException extends Exception {

    public static enum Type {
        INFO,
        REQUEST
    }

    private Type exceptionType;

    public APIException(Type exceptionType, String message) {
        super(message);
        this.exceptionType = exceptionType;
    }

    public Type getType() {
        return exceptionType;
    }

}
