/*
 * Copyright (c) 2017. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.api;

import java.util.Date;

/**
 * Match Entity API Interface.
 *
 * @author Dmitry Samoshin aka gotty
 */
public interface Match extends IdEntity {

    int matchId();

    int eventId();

    Event event();

    int round();

    int number();

    int player1Id();

    Player player1();

    int score1();

    boolean walkover1();

    int player2Id();

    Player player2();

    int score2();

    boolean walkover2();

    int winnerId();

    Player winner();

    boolean unfinished();

    boolean onBreak();

    int worldSnookerId();

    String liveUrl();

    String detailsUrl();

    boolean pointsDropped();

    boolean showCommonNote();

    boolean estimated();

    int type();

    int tableNo();

    String videoURL();

    Date initDate();

    Date modDate();

    Date startDate();

    Date endDate();

    Date scheduledDate();

    String frameScores();

    String sessions();

    String note();

    String extendedNote();

}
