/*
 * Copyright (c) 2017. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.api;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.JUnit4;

/**
 * Tests for {@link Season}.
 *
 * @author Dmitry Samoshin aka gotty
 */
@RunWith(JUnit4.class)
public class SeasonTest extends Assert {

    @Test
    public void testSeason() throws Exception {
        assertNull(
                Season.getSeason(
                        Season.BEGIN_YEAR - 1
                )
        );
        assertNull(
                Season.getSeason(
                        Season.CURRENT_YEAR + 1
                )
        );
        for (int year = Season.BEGIN_YEAR; year <= Season.CURRENT_YEAR; ++year) {
            Season season = Season.getSeason(year);
            assertNotNull(season);
            assertEquals(year, season.getYear());
        }
        assertEquals(
                Season.ALL,
                Season.getSeason(Season.ALL_SEASONS)
        );
    }

}
